{*fotogalerie*}
<div class="row">
    <div class="col-12 border-bottom mb-3">
        {snippet formular}
            <form n:name="uploadFotkyForm" class="ajax">
                <h5>Nahrát fotografie</h5>
                <div class="row">
                    <div class="col-12 col-md-6 col-lg-4 mb-3">
                        <div class="input-group">
                        <span class="input-group-text">
                            <i class="fa-solid fa-images"></i>
                        </span>
                            <input n:name="fotky" class="images-input form-control">
                        </div>
                    </div>
                    <div class="col-12 col-md-6 col-lg-4 mb-3">
                        <button n:name="send" class="btn btn-success"><i class="fa-solid fa-upload me-2"></i>Nahrát</button>
                    </div>
                </div>
            </form>
            <div class="row mb-3" id="images-preview"></div>
            <script>
                $(document).ready(function(){
                    $('.images-input').change(function(){
                        $("#images-preview").html('');
                        for (var i = 0; i < $(this)[0].files.length; i++) {
                            $("#images-preview").append('<div class="col-6 col-md-4 col-lg-3 col-xl-2"><img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-thumbnail"/></div>');
                        }
                    });
                });
            </script>
        {/snippet}
    </div>
    <div class="col-12">
        {snippet galerie}
            {if empty($fotky)}
                <h4>Galerie neobsahuje žádné fotografie.</h4>
            {else}
                <div class="w-100" id="fotogalerie">
                    {foreach $fotky as $fotka}
                        <div class="img-wrapper" data-id="{$fotka->id}">
                            <div class="img-icon-wrapper" id="icon-wrapper-{$fotka->id}">
                                <a n:href="deleteImage! $fotka->id" class="ajax">
                                    <i class="fa-solid fa-trash text-danger"></i>
                                </a>
                            </div>
                            <img src="{$basePath}/src/fotogallery/clanky/{$clanekId}/thumbs/{$fotka->url}" id="image-{$fotka->id}" class="img-thumbnail m-1">
                        </div>
                    {/foreach}
                </div>
                <script>
                    $('.img-wrapper').mouseenter(function(){
                        var id = $(this).attr('data-id');
                        $('#image-'+id).addClass('hover');
                        $('#icon-wrapper-'+id).show();
                    });
                    $('.img-wrapper').mouseleave(function(){
                        var id = $(this).attr('data-id');
                        $('#image-'+id).removeClass('hover');
                        $('#icon-wrapper-'+id).hide();
                    });
                </script>
            {/if}
        {/snippet}
    </div>
</div>